Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.daemon.platform
Class NativeProcessProvider

    java.lang.Object
      com.sshtools.daemon.platform.NativeProcessProvider

public abstract class NativeProcessProvider
extends java.lang.Object

DOCUMENT ME!

Constructor Summary
`NativeProcessProvider()`

Method Summary
`abstract boolean` | `allocatePseudoTerminal(java.lang.String term, int cols, int rows, int width, int height, java.lang.String modes)` DOCUMENT ME!
`abstract boolean` | `createProcess(java.lang.String command, java.util.Map environment)` DOCUMENT ME!
`abstract java.lang.String` | `getDefaultTerminalProvider()` DOCUMENT ME!
`abstract java.io.InputStream` | `getInputStream()` DOCUMENT ME!
`abstract java.io.OutputStream` | `getOutputStream()` DOCUMENT ME!
`abstract java.io.InputStream` | `getStderrInputStream()` DOCUMENT ME!
`abstract void` | `kill()` DOCUMENT ME!
`static NativeProcessProvider` | `newInstance()` DOCUMENT ME!
`static void` | `setProvider(java.lang.Class provider)` DOCUMENT ME!
`abstract void` | `start()` DOCUMENT ME!
`abstract boolean` | `stillActive()` DOCUMENT ME!
`abstract boolean` | `supportsPseudoTerminal(java.lang.String term)` DOCUMENT ME!
`abstract int` | `waitForExitCode()` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NativeProcessProvider

    public NativeProcessProvider()

Method Detail

### newInstance

    public static NativeProcessProvider newInstance()
                                             throws java.io.IOException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### setProvider

    public static void setProvider(java.lang.Class provider)

  DOCUMENT ME!

  Parameters:
    `provider` - DOCUMENT ME!

### getInputStream

    public abstract java.io.InputStream getInputStream()
                                                throws java.io.IOException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### getOutputStream

    public abstract java.io.OutputStream getOutputStream()
                                                  throws java.io.IOException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### getStderrInputStream

    public abstract java.io.InputStream getStderrInputStream()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### kill

    public abstract void kill()

  DOCUMENT ME!

### stillActive

    public abstract boolean stillActive()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### waitForExitCode

    public abstract int waitForExitCode()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getDefaultTerminalProvider

    public abstract java.lang.String getDefaultTerminalProvider()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### createProcess

    public abstract boolean createProcess(java.lang.String command,
                                          java.util.Map environment)
                                   throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `command` - DOCUMENT ME!
    `environment` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### start

    public abstract void start()
                        throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### supportsPseudoTerminal

    public abstract boolean supportsPseudoTerminal(java.lang.String term)

  DOCUMENT ME!

  Parameters:
    `term` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### allocatePseudoTerminal

    public abstract boolean allocatePseudoTerminal(java.lang.String term,
                                                   int cols,
                                                   int rows,
                                                   int width,
                                                   int height,
                                                   java.lang.String modes)

  DOCUMENT ME!

  Parameters:
    `term` - DOCUMENT ME!
    `cols` - DOCUMENT ME!
    `rows` - DOCUMENT ME!
    `width` - DOCUMENT ME!
    `height` - DOCUMENT ME!
    `modes` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD